## org.beepcore.beep.profile.sasl.otp
Class IllegalOTPStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.otp.IllegalOTPStateException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalOTPStateException
extends SASLException

This object is used to represent exceptions and errors relative to the order in which OTP authentication is supposed to take place, such as messages being sent out of order, that sort of thing.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MSG`

Constructor Summary
`IllegalOTPStateException()`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG

    public static final java.lang.String MSG

See Also:
  Constant Field Values

Constructor Detail

### IllegalOTPStateException

    public IllegalOTPStateException()

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.